import { Query } from "mongoose";
import { addOnceUser, selectUserById, selectUserByLogin, update } from "../model/users";

let ret:any = {};
export async function login(req, res) {
    let uName = req.query.uName;
    let uPwd = req.query.uPwd;
    ret["login"] = await selectUserByLogin(uName, uPwd);
    res.send(ret);
}

export async function changePwd(req, res) {
    let uId = req.query.uId;
    let userInfo = {
        uName : req.query.uName,
        uPwd : req.query.uPwd
    }
    ret["changePwd"] = await update(uId, userInfo);
    res.send(ret);
}


export async function register(req, res) {
    let addInfo = {
        uName: req.query.uName,
        uPwd: req.query.uPwd,
        uImg: req.query.uImg
    }
    ret["registerUser"] = await addOnceUser(addInfo);
    res.send(ret);
}

