import { rejects } from "assert";
import { resolve } from "dns";
import { Schema } from "mongoose";
import { picDB } from "../db/mongo/db_init";
const bcrypt = require('bcrypt');

const usersSchema = new Schema({
    uId: {type:Number, index: true},    //id
    uName: {type: String},  //管理员账号
    uPwd: {type: String},   //管理员密码
    uImg: {type: String},   //头像
});

let usersModel;

export function initModel() {
    usersModel = picDB.model('users', usersSchema);
}

export async function selectAllUser() {
    return await usersModel.find({}).exec();
}

export async function update(uId, userInfo) { //todo
    // await usersModel.findById(uId, paramater);
    // return true;
    await usersModel.findById(uId, (err, doc) => {
        doc = userInfo;
        doc.save((err) => {
            if(!err) {
                console.log('修改成功');
                return true;
            } else {
                console.log('Error:' + err);
            }
        })
    })
    return false;
}

export async function selectUserById(uId) {//todo
    let query = {uId: uId};
    return await usersModel.find(query).exec();
}

export async function selectUserByLogin(uName, uPwd) {//todo
    let query = {uName: uName, uPwd: uPwd};
    return await usersModel.find(query).exec();
}

export async function addOnceUser(addInfo) {
    // addInfo = {
    //     uId : 1,
    //     uName : '陈某',
    //     uPwd : '123456'
    // }
    // await usersModel.insert(addInfo);
    // return true;

    await usersModel.save((err, doc) => {
        doc = addInfo;
        if (!err) {
            console.log('保存成功');
            return true;
        } else {
            console.log('Error:' + err);
        }
    })
    return false;
}
